aboutsummaryrefslogtreecommitdiff
path: root/test/common-utils
diff options
context:
space:
mode:
authorJacob Woffenden <jacob@woffenden.io>2022-12-10 01:08:20 +0300
committerGitHub <noreply@github.com>2022-12-10 01:08:20 +0300
commitaae9de7ebc96170ddbaf8996d8ee2289176000aa (patch)
tree1ab29f71f3ce51f228a3b98584bd02ffa53aef0a /test/common-utils
parente28358e33b98998e00c2c62d5d561626d96bed24 (diff)
Change default shell if installing ZSH (#325)
* Added new option to configure zsh as default shell Added test scenario Bumped feature version * Update test/common-utils/scenarios.json Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com> * Update src/common-utils/devcontainer-feature.json Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com> * Update test/common-utils/configure_zsh_as_default_shell.sh Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com> Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com>
Diffstat (limited to 'test/common-utils')
-rw-r--r--test/common-utils/configure_zsh_as_default_shell.sh12
-rw-r--r--test/common-utils/scenarios.json10
2 files changed, 22 insertions, 0 deletions
diff --git a/test/common-utils/configure_zsh_as_default_shell.sh b/test/common-utils/configure_zsh_as_default_shell.sh
new file mode 100644
index 0000000..e5cc89e
--- /dev/null
+++ b/test/common-utils/configure_zsh_as_default_shell.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "default-shell-is-zsh" bash -c "getent passwd $(whoami) | awk -F: '{ print $7 }' | grep '/bin/zsh'"
+
+# Report result
+reportResults
diff --git a/test/common-utils/scenarios.json b/test/common-utils/scenarios.json
new file mode 100644
index 0000000..aa36fcb
--- /dev/null
+++ b/test/common-utils/scenarios.json
@@ -0,0 +1,10 @@
+{
+ "configure_zsh_as_default_shell": {
+ "image": "mcr.microsoft.com/devcontainers/base:ubuntu",
+ "features": {
+ "common-utils": {
+ "configureZshAsDefaultShell": true
+ }
+ }
+ }
+}